import 'package:flutter/material.dart';
import 'package:initial_folder/size_config.dart';
import 'package:initial_folder/theme.dart';
import 'package:styled_text/styled_text.dart';

class ATMBNI extends StatelessWidget {
  final TextStyle baris = thirdTextStyle.copyWith(
    fontWeight: reguler,
    fontSize: getProportionateScreenWidth(14),
    letterSpacing: 0.5,
  );
  @override
  Widget build(BuildContext context) {
    return Padding(
      padding:
          EdgeInsets.symmetric(horizontal: getProportionateScreenWidth(12)),
      child: Column(
        crossAxisAlignment: CrossAxisAlignment.start,
        children: [
          StyledText(
            // text: '1. Open the <bold>BNI Mobile Banking</bold> app and login',
            text: '1. Masukkan kartu anda',
            style: baris,
            tags: {
              'bold': StyledTextTag(style: TextStyle(fontWeight: bold)),
            },
          ),
          Divider(color: Color(0xff2D2D2D), thickness: 0.5, height: 35),
          StyledText(
            // text: '2. Choose menu <bold>Transfer</bold>',
            text: '2. Pilih Bahasa',
            style: baris,
            tags: {
              'bold': StyledTextTag(style: TextStyle(fontWeight: bold)),
            },
          ),
          Divider(color: Color(0xff2D2D2D), thickness: 0.5, height: 35),
          StyledText(
            // text: '3. Choose menu <bold>Virtual Account Billing</bold>',
            text: '3. Masukkan <bold>PIN ATM</bold> Anda',
            style: baris,
            tags: {
              'bold': StyledTextTag(style: TextStyle(fontWeight: bold)),
            },
          ),
          Divider(color: Color(0xff2D2D2D), thickness: 0.5, height: 35),
          StyledText(
            // text: '4. Choose the bank account you want to use',
            text: "4. Pilih \"Menu Lainnya\"",
            style: baris,
            tags: {
              'bold': StyledTextTag(style: TextStyle(fontWeight: bold)),
            },
          ),
          Divider(color: Color(0xff2D2D2D), thickness: 0.5, height: 35),
          StyledText(
            // text: '5. Enter the 16 digits <bold>virtual account number</bold>',
            text: "5. Pilih \"Transfer\"",
            style: baris,
            tags: {
              'bold': StyledTextTag(style: TextStyle(fontWeight: bold)),
            },
          ),
          Divider(color: Color(0xff2D2D2D), thickness: 0.5, height: 35),
          StyledText(
            text:
                // '6. The billing information will appear on the payment validation page',
                '6. Pilih Jenis rekening yang akan Anda gunakan',
            style: baris,
            tags: {
              'bold': StyledTextTag(style: TextStyle(fontWeight: bold)),
            },
          ),
          Divider(color: Color(0xff2D2D2D), thickness: 0.5, height: 35),
          StyledText(
            text:
                // '7. If the information is correct, enter your password to proceed the payment',
                '7. Pilih \"Virtual Account Billing\"',
            style: baris,
            tags: {
              'bold': StyledTextTag(style: TextStyle(fontWeight: bold)),
            },
          ),
          Divider(color: Color(0xff2D2D2D), thickness: 0.5, height: 35),
          StyledText(
            // text: '8. Your transaction will be processed',
            text: '8. Masukkan nomor Virtual Account Anda',
            style: baris,
            tags: {
              'bold': StyledTextTag(style: TextStyle(fontWeight: bold)),
            },
          ),
          SizedBox(height: getProportionateScreenHeight(10)),
        ],
      ),
    );
  }
}

class ATMBCA extends StatelessWidget {
  final TextStyle baris = thirdTextStyle.copyWith(
    fontWeight: reguler,
    fontSize: getProportionateScreenWidth(14),
    letterSpacing: 0.5,
  );
  @override
  Widget build(BuildContext context) {
    return Padding(
      padding:
          EdgeInsets.symmetric(horizontal: getProportionateScreenWidth(12)),
      child: Column(
        crossAxisAlignment: CrossAxisAlignment.start,
        children: [
          StyledText(
            // text: '1. Open the <bold>BNI Mobile Banking</bold> app and login',
            text: '1. Masukkan kartu anda ATM dan PIN BCA anda',
            style: baris,
            tags: {
              'bold': StyledTextTag(style: TextStyle(fontWeight: bold)),
            },
          ),
          Divider(color: Color(0xff2D2D2D), thickness: 0.5, height: 35),
          StyledText(
            // text: '2. Choose menu <bold>Transfer</bold>',
            text: "2. Pada menu utama, pilih menu \"Transaksi lainnya\" ",
            style: baris,
            tags: {
              'bold': StyledTextTag(style: TextStyle(fontWeight: bold)),
            },
          ),
          Divider(color: Color(0xff2D2D2D), thickness: 0.5, height: 35),
          StyledText(
            // text: '3. Choose menu <bold>Virtual Account Billing</bold>',
            text:
                "3. Pilih menu \"Transfer\" dan kemudian pilih \"BCA Virtual Account\" ",
            style: baris,
            tags: {
              'bold': StyledTextTag(style: TextStyle(fontWeight: bold)),
            },
          ),
          Divider(color: Color(0xff2D2D2D), thickness: 0.5, height: 35),
          StyledText(
            // text: '4. Choose the bank account you want to use',
            text: "4. Masukkan no. BCA Virtual Account & klik \"Lanjutkan\" ",
            style: baris,
            tags: {
              'bold': StyledTextTag(style: TextStyle(fontWeight: bold)),
            },
          ),
          Divider(color: Color(0xff2D2D2D), thickness: 0.5, height: 35),
          StyledText(
            // text: '5. Enter the 16 digits <bold>virtual account number</bold>',
            text: "5. Periksa kembali rincian pembayaran anda, lalu pilih Ya",
            style: baris,
            tags: {
              'bold': StyledTextTag(style: TextStyle(fontWeight: bold)),
            },
          ),
          SizedBox(height: getProportionateScreenHeight(10)),
        ],
      ),
    );
  }
}

class AtmMandiri extends StatelessWidget {
  final TextStyle baris = thirdTextStyle.copyWith(
    fontWeight: reguler,
    fontSize: getProportionateScreenWidth(14),
    letterSpacing: 0.5,
  );
  @override
  Widget build(BuildContext context) {
    return Padding(
      padding:
          EdgeInsets.symmetric(horizontal: getProportionateScreenWidth(12)),
      child: Column(
        crossAxisAlignment: CrossAxisAlignment.start,
        children: [
          StyledText(
            // text: '1. Open the <bold>BNI Mobile Banking</bold> app and login',
            text: '1. Masukkan kartu anda ATM dan PIN anda',
            style: baris,
            tags: {
              'bold': StyledTextTag(style: TextStyle(fontWeight: bold)),
            },
          ),
          Divider(color: Color(0xff2D2D2D), thickness: 0.5, height: 35),
          StyledText(
            // text: '2. Choose menu <bold>Transfer</bold>',
            text: "2. Pada menu utama, pilih menu \"Bayar/Beli\" ",
            style: baris,
            tags: {
              'bold': StyledTextTag(style: TextStyle(fontWeight: bold)),
            },
          ),
          Divider(color: Color(0xff2D2D2D), thickness: 0.5, height: 35),
          StyledText(
            // text: '3. Choose menu <bold>Virtual Account Billing</bold>',
            text:
                "3. Pilih menu \"Multi Payment\" (jika di layar belum tersedia tekan menu \"Lainnya\" dan pilih \"Multi Payment\") ",
            style: baris,
            tags: {
              'bold': StyledTextTag(style: TextStyle(fontWeight: bold)),
            },
          ),
          Divider(color: Color(0xff2D2D2D), thickness: 0.5, height: 35),
          StyledText(
            // text: '4. Choose the bank account you want to use',
            text:
                "4. Masukkan nomor Biller Code pada kode perusahaan & klik \"Benar\" ",
            style: baris,
            tags: {
              'bold': StyledTextTag(style: TextStyle(fontWeight: bold)),
            },
          ),
          Divider(color: Color(0xff2D2D2D), thickness: 0.5, height: 35),
          StyledText(
            // text: '5. Enter the 16 digits <bold>virtual account number</bold>',
            text:
                "5. Masukkan kode pembayaran (kode pembayaran Mandiri billpayment anda)",
            style: baris,
            tags: {
              'bold': StyledTextTag(style: TextStyle(fontWeight: bold)),
            },
          ),
          StyledText(
            // text: '5. Enter the 16 digits <bold>virtual account number</bold>',
            text:
                "6. Periksa kembali data transaksi anda dan selesaikan proses pembayaran.",
            style: baris,
            tags: {
              'bold': StyledTextTag(style: TextStyle(fontWeight: bold)),
            },
          ),
          SizedBox(height: getProportionateScreenHeight(10)),
        ],
      ),
    );
  }
}

class AtmPermata extends StatelessWidget {
  final TextStyle baris = thirdTextStyle.copyWith(
    fontWeight: reguler,
    fontSize: getProportionateScreenWidth(14),
    letterSpacing: 0.5,
  );
  @override
  Widget build(BuildContext context) {
    return Padding(
      padding:
          EdgeInsets.symmetric(horizontal: getProportionateScreenWidth(12)),
      child: Column(
        crossAxisAlignment: CrossAxisAlignment.start,
        children: [
          StyledText(
            // text: '1. Open the <bold>BNI Mobile Banking</bold> app and login',
            text: '1. Masukkan kartu ATM dan PIN anda',
            style: baris,
            tags: {
              'bold': StyledTextTag(style: TextStyle(fontWeight: bold)),
            },
          ),
          Divider(color: Color(0xff2D2D2D), thickness: 0.5, height: 35),
          StyledText(
            // text: '2. Choose menu <bold>Transfer</bold>',
            text: "2. Pada menu \"Transaksi Lainnya\" ",
            style: baris,
            tags: {
              'bold': StyledTextTag(style: TextStyle(fontWeight: bold)),
            },
          ),
          Divider(color: Color(0xff2D2D2D), thickness: 0.5, height: 35),
          StyledText(
            // text: '3. Choose menu <bold>Virtual Account Billing</bold>',
            text:
                "3. Pilih menu \"Pembayaran\" kemudian Pilih \"Menu Pembayaran Lainnya\" ",
            style: baris,
            tags: {
              'bold': StyledTextTag(style: TextStyle(fontWeight: bold)),
            },
          ),
          Divider(color: Color(0xff2D2D2D), thickness: 0.5, height: 35),
          StyledText(
            // text: '4. Choose the bank account you want to use',
            text: "4. Pilih menu \"VIRTUAL ACCOUNT\" ",
            style: baris,
            tags: {
              'bold': StyledTextTag(style: TextStyle(fontWeight: bold)),
            },
          ),
          Divider(color: Color(0xff2D2D2D), thickness: 0.5, height: 35),
          StyledText(
            // text: '5. Enter the 16 digits <bold>virtual account number</bold>',
            text: "5. Masukkan nomor \"VIRTUAL ACCOUNT\", dan tekan \"BENAR\" ",
            style: baris,
            tags: {
              'bold': StyledTextTag(style: TextStyle(fontWeight: bold)),
            },
          ),
          Divider(color: Color(0xff2D2D2D), thickness: 0.5, height: 35),
          StyledText(
            // text: '5. Enter the 16 digits <bold>virtual account number</bold>',
            text:
                "6. Pilih rekening yang menjadi sumber dana yang akan didebet, lalu tekan YA untuk konfirmasi transaksi",
            style: baris,
            tags: {
              'bold': StyledTextTag(style: TextStyle(fontWeight: bold)),
            },
          ),
          SizedBox(height: getProportionateScreenHeight(10)),
        ],
      ),
    );
  }
}
